%global debug_package %{nil}
%global prjname kubevirt
%global binname virtctl

Name:           kubevirt-virtctl
Version:        1.5.2
Release:        1%{?dist}
Summary:        Client for managing kubevirt

License:        Apache-2.0
URL:            https://github.com/%{prjname}/%{prjname}
Source:         https://github.com/%{prjname}/%{prjname}/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  git-core
BuildRequires:  go
BuildRequires:  glibc-static

%description
KubeVirt is a virtual machine management add-on for Kubernetes.
The aim is to provide a common ground for virtualization solutions on top of Kubernetes.

virtctl is a command-line utility for managing kubevirt.

%prep
%autosetup -n %{prjname}-%{version}

%build
env \
    KUBEVIRT_VERSION=%{version} \
    KUBEVIRT_SOURCE_DATE_EPOCH="$(date -r LICENSE +%s)" \
    KUBEVIRT_GIT_COMMIT='v%{version}' \
    KUBEVIRT_GIT_VERSION='v%{version}' \
    KUBEVIRT_GIT_TREE_STATE="clean" \
./hack/build-go.sh install cmd/%{binname}

mkdir generated_completions
./_out/cmd/%{binname}/%{binname} completion bash > generated_completions/%{binname}
./_out/cmd/%{binname}/%{binname} completion fish > generated_completions/%{binname}.fish
./_out/cmd/%{binname}/%{binname} completion zsh  > generated_completions/_%{binname}

%install
install -Dpm 0755 ./_out/cmd/%{binname}/%{binname} %{buildroot}%{_bindir}/%{binname}
install -Dpm 0644 generated_completions/%{binname}      -t %{buildroot}/%{bash_completions_dir}/
install -Dpm 0644 generated_completions/%{binname}.fish -t %{buildroot}/%{fish_completions_dir}/
install -Dpm 0644 generated_completions/_%{binname}     -t %{buildroot}/%{zsh_completions_dir}/

%files
%license LICENSE
%doc README.md
%{_bindir}/%{binname}
%{bash_completions_dir}/%{binname}
%{fish_completions_dir}/%{binname}.fish
%{zsh_completions_dir}/_%{binname}

%changelog
* Fri Jul 11 2025 Andrey Brusnik <dev@shdwchn.io> - 1.5.2-1
- feat: Add kubevirt-virtctl package
